Bug 211558 - Choose either planet.fedoraproject.org or fedoraproject.org/people/
Choose either planet.fedoraproject.org or fedoraproject.org/people/
Status: CLOSED NOTABUG
Product: Fedora Documentation
Classification: Fedora
Component: docs-requests (Show other bugs)
devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Webmaster
Karsten Wade
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-19 20:02 EDT by Dimitris Glezos
Modified: 2009-08-05 14:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-21 01:48:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dimitris Glezos 2006-10-19 20:02:28 EDT
## Description of problem:

We currently serve the "Fedora people" aggregation service (planet) both from
the summary's URLs. We should choose one of them and stick to it and have the
other one redirect there.

Reasons are obvious: it's one site and people and search engines should know it
and referene it by it's one name.

I suggest the second to accomodate the /wiki/ structure. Sub-domains are not the
best idea to organize sub-websites.e
Comment 1 Seth Vidal 2006-10-19 21:17:55 EDT
I cannot possibly see how having an alias from a domain to a path is anything to
anyone.

How is that different than a redirect?

the vhost for planet.fedoraproject.org is:

<VirtualHost *:80>
     ServerName planet.fedoraproject.org
     ServerAdmin admin@linux.duke.edu
     DocumentRoot "/srv/web/docroot/people"
     <Directory "/srv/web/docroot/people">
        AllowOverride All
        Order Allow,Deny
        Allow from All
     </Directory>
     ErrorLog logs/planet-error_log
     CustomLog logs/planet-access_log common
</VirtualHost>


Which means it has its docroot as the path that fedoraproject.org/people is from.

so how does this matter?
Comment 2 Dimitris Glezos 2006-10-19 21:42:00 EDT
Seth, of course it doesn't practically matter to the experience of reading the
planet.

It's just that when you google for it, you get *two* pages. Some people have
bookmarked the one, and some the other, some websites link to the one and some
others to the other (which leads to wrong pageranks etc). Once we had
`planet.fpo` on the wiki frontpage and now we have `/people/`, so naturally one
wonders if they are different sites and which of the two is the official one (I
did).

I suggest to choose one of them and the other should 403 redirect to the proper
one, politely asking people to update their bookmarks. Search engines use 403
pages to index the new page and ditch the old one and this also affects the way
people remember the page.

Besides, it all boils down to: "why have two separate URIs for one site?". KISS,
right?
Comment 3 Paul W. Frields 2006-10-20 08:40:13 EDT
As for subdomains being bad, should we also be moving
download.fedoraproject.org, then?  What about mirrors.fedoraproject.org?  ;-)

As for getting the "wrong" page, I think this is a cosmetic issue that means
little to nothing in terms of readers getting access to content.  Someone who
clicks either link sees Fedora folks talking (mostly) about Fedora, with a big
Fedora logo on the top of the page.  How could that cause any worry about the
"official" status?  Getting the content out has been accomplished, and the user
should (and in 99.9% cases, does) have absolutely zero care about the actual
URL.  If readers worried about this issue, I wonder if we'd even have aggregators.

FWIW, I'd vote NOTABUG on this one, and further, that there exist bigger fish to
fry.
Comment 4 Patrick Barnes 2006-10-21 01:48:49 EDT
Going forward, I don't see any reason we can't consistently use 
planet.fedoraproject.org (yes, I prefer subdomains for maintenance reasons) 
when listing the URL in other resources, such as the wiki.  There's no reason 
not to be consistent.  This isn't something that prompts immediate action, 
just a thought to keep in mind in the future.  I also don't see it as pressing 
enough to warrant adjusting any configuration at this time, but, again, it's 
something to consider when the opportunity to change it arises.

Dimitris, feel free to adjust existing references to make them all consistent.

I'm closing this as NOTABUG.  Thanks for your thoughts.
Comment 5 eric@christensenplace.us 2009-08-05 14:42:59 EDT
Tickets move to docs-request so the fedora-websites component can be removed per request from Ricky.

Note You need to log in before you can comment on or make changes to this bug.